HELM(1)

NAME

helm-package - package a chart directory into a chart archive

SYNOPSIS

helm package [flags] [CHART_PATH] [...]

DESCRIPTION

This command packages a chart into a versioned chart archive file. If a path is given, this will look at that path for a chart (which must contain a Chart.yaml file) and then package that directory.

If no path is given, this will look in the present working directory for a Chart.yaml file, and (if found) build the current directory into a chart.

Versioned chart archives are used by Helm package repositories.

OPTIONS

-d, --destination="."
    location to write the chart.

--key=""
    name of the key to use when signing. Used if --sign is true

--keyring="~/.gnupg/pubring.gpg"
    location of a public keyring

--save[=true]
    save packaged chart to local chart repository

--sign[=false]
    use a PGP private key to sign this package

--version=""
    set the version on the chart to this semver version

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra